package _09_遍历数组;

public class Test1 {
    public static void main(String[] args) {
        int[] arr = {1,2,3,4,5};
        // 遍历数组第一种方式
//        for (int i = 0; i < arr.length ; i++) {
//            System.out.println(arr[i]);
//        }

        // 数组名.fori
//        for (int i = 0; i < arr.length; i++) {
//            System.out.println(arr[i]);
//        }

        // foreach
        // foreach 底层使用还是for 循环 只不过是jdk 给我们提供一种语法糖: 简化的写法
        // 数组名.iter
        // 什么时候必须要使用for 循环, 如果操作跟索引号有关, 必须使用for 循环
        for (int x : arr) {
            System.out.println(x);
        }
    }
}
